Class UmlBaseTransition

Declaration :

- C++ : class UmlBaseTransition : public UmlItem
- Java : abstract class UmlBaseTransition extends UmlItem

Directly inherited by : UmlTransition

Artifact : UmlBaseTransition

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation create

Declaration :

- Uml : static, + create(inout start : UmlItem, inout end : UmlItem) : UmlTransition, exceptions : RuntimeException
- C++ : public: static UmlTransition * create(UmlItem * start, UmlItem * end)
- Java : public static UmlTransition create(UmlItem start, UmlItem end) throws RuntimeException

Returns a new Transition from 'start' to 'end'
In case it cannot be created ('parent' cannot contain it etc ...) return 0
in C++ and produce a RuntimeException in Java

Operation target

Declaration :

- Uml : + target() : UmlItem
- C++ : public: virtual UmlItem * target()
- Java : public UmlItem target()

returns the 'end' object (the 'start' object is the parent of the transition) no set !

Operation trigger

Declaration :

- Uml : + trigger() : string
- C++ : public: const QCString & trigger()
- Java : public String trigger()

return the trigger in OCL

Operation set_Trigger

Declaration :

- Uml : + set_Trigger(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Trigger(const char * s)
- Java : public void set_Trigger(String s) throws RuntimeException

set the trigger in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation guard

Declaration :

- Uml : + guard() : string
- C++ : public: const QCString & guard()
- Java : public String guard()

return the guard in OCL

Operation set_Guard

Declaration :

- Uml : + set_Guard(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Guard(const char * s)
- Java : public void set_Guard(String s) throws RuntimeException

set the guard in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation activity

Declaration :

- Uml : + activity() : string
- C++ : public: const QCString & activity()
- Java : public String activity()

return the activity in OCL

Operation set_Activity

Declaration :

- Uml : + set_Activity(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Activity(const char * s)
- Java : public void set_Activity(String s) throws RuntimeException

set the activity in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppTrigger

Declaration :

- Uml : + cppTrigger() : string
- C++ : public: const QCString & cppTrigger()
- Java : public String cppTrigger()

return the trigger in C++

Operation set_CppTrigger

Declaration :

- Uml : + set_CppTrigger(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppTrigger(const char * s)
- Java : public void set_CppTrigger(String s) throws RuntimeException

set the trigger in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppGuard

Declaration :

- Uml : + cppGuard() : string
- C++ : public: const QCString & cppGuard()
- Java : public String cppGuard()

return the guard in C++

Operation set_CppGuard

Declaration :

- Uml : + set_CppGuard(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppGuard(const char * s)
- Java : public void set_CppGuard(String s) throws RuntimeException

set the guard in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation cppActivity

Declaration :

- Uml : + cppActivity() : string
- C++ : public: const QCString & cppActivity()
- Java : public String cppActivity()

return the activity in C++

Operation set_CppActivity

Declaration :

- Uml : + set_CppActivity(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppActivity(const char * s)
- Java : public void set_CppActivity(String s) throws RuntimeException

set the activity in C++
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaTrigger

Declaration :

- Uml : + javaTrigger() : string
- C++ : public: const QCString & javaTrigger()
- Java : public String javaTrigger()

return the trigger in Java

Operation set_JavaTrigger

Declaration :

- Uml : + set_JavaTrigger(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaTrigger(const char * s)
- Java : public void set_JavaTrigger(String s) throws RuntimeException

set the trigger in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaGuard

Declaration :

- Uml : + javaGuard() : string
- C++ : public: const QCString & javaGuard()
- Java : public String javaGuard()

return the guard in Java

Operation set_JavaGuard

Declaration :

- Uml : + set_JavaGuard(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaGuard(const char * s)
- Java : public void set_JavaGuard(String s) throws RuntimeException

set the guard in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation javaActivity

Declaration :

- Uml : + javaActivity() : string
- C++ : public: const QCString & javaActivity()
- Java : public String javaActivity()

return the activity in Java

Operation set_JavaActivity

Declaration :

- Uml : + set_JavaActivity(in s : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaActivity(const char * s)
- Java : public void set_JavaActivity(String s) throws RuntimeException

set the activity in Java
On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Relation _target (<unidirectional association>)

Declaration :

- Uml : - _target : UmlItem
- C++ : private: UmlItem * _target
- Java : private UmlItem _target

Relation _uml (<directional aggregation by value>)

Declaration :

- Uml : - _uml : TransitionBehavior
- C++ : private: TransitionBehavior _uml
- Java : private TransitionBehavior _uml

Relation _cpp (<directional aggregation by value>)

Declaration :

- Uml : - _cpp : TransitionBehavior
- C++ : private: TransitionBehavior _cpp
- Java : private TransitionBehavior _cpp

Relation _java (<directional aggregation by value>)

Declaration :

- Uml : - _java : TransitionBehavior
- C++ : private: TransitionBehavior _java
- Java : private TransitionBehavior _java

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

Operation UmlBaseTransition

Declaration :

- Uml : # UmlBaseTransition(in id : item_id, in n : string) :
- C++ : protected: UmlBaseTransition(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseTransition(long id, String n)

the constructor, do not call it yourself !!!!!!!!!!

All public operations : activity , apply , children , childrenVisible , cppActivity , cppGuard , cppTrigger , create , defined_ , deleteIt , description , getIdentifier , guard , identifier_ , isMarked , isToolRunning , isWritable , javaActivity , javaGuard , javaTrigger , kind , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_Activity , set_childrenVisible , set_CppActivity , set_CppGuard , set_CppTrigger , set_Description , set_Guard , set_isMarked , set_JavaActivity , set_JavaGuard , set_JavaTrigger , set_Name , set_PropertyValue , set_Stereotype , set_Trigger , stereotype , supportFile , target , trigger , unload , unload